/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeElasticsearchInstanceTypeLimitsInput } from "../types/DescribeElasticsearchInstanceTypeLimitsInput";
import { DescribeElasticsearchInstanceTypeLimitsOutput } from "../types/DescribeElasticsearchInstanceTypeLimitsOutput";
import { ElasticsearchServiceResolvedConfiguration } from "../ElasticsearchServiceConfiguration";
export * from "../types/DescribeElasticsearchInstanceTypeLimitsInput";
export * from "../types/DescribeElasticsearchInstanceTypeLimitsOutput";
export * from "../types/DescribeElasticsearchInstanceTypeLimitsExceptionsUnion";
export declare class DescribeElasticsearchInstanceTypeLimitsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeElasticsearchInstanceTypeLimitsInput, OutputTypesUnion, DescribeElasticsearchInstanceTypeLimitsOutput, ElasticsearchServiceResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeElasticsearchInstanceTypeLimitsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeElasticsearchInstanceTypeLimitsInput, DescribeElasticsearchInstanceTypeLimitsOutput, _stream.Readable>;
    constructor(input: DescribeElasticsearchInstanceTypeLimitsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticsearchServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeElasticsearchInstanceTypeLimitsInput, DescribeElasticsearchInstanceTypeLimitsOutput>;
}
