"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeReservedElasticsearchInstancesInput_1 = require("../shapes/DescribeReservedElasticsearchInstancesInput");
const DescribeReservedElasticsearchInstancesOutput_1 = require("../shapes/DescribeReservedElasticsearchInstancesOutput");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InternalException_1 = require("../shapes/InternalException");
const ValidationException_1 = require("../shapes/ValidationException");
const DisabledOperationException_1 = require("../shapes/DisabledOperationException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeReservedElasticsearchInstances = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeReservedElasticsearchInstances",
    http: {
        method: "GET",
        requestUri: "/2015-01-01/es/reservedInstances"
    },
    input: {
        shape: DescribeReservedElasticsearchInstancesInput_1.DescribeReservedElasticsearchInstancesInput
    },
    output: {
        shape: DescribeReservedElasticsearchInstancesOutput_1.DescribeReservedElasticsearchInstancesOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: DisabledOperationException_1.DisabledOperationException
        }
    ]
};
//# sourceMappingURL=DescribeReservedElasticsearchInstances.js.map