"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListTagsInput_1 = require("../shapes/ListTagsInput");
const ListTagsOutput_1 = require("../shapes/ListTagsOutput");
const BaseException_1 = require("../shapes/BaseException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ValidationException_1 = require("../shapes/ValidationException");
const InternalException_1 = require("../shapes/InternalException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTags = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTags",
    http: {
        method: "GET",
        requestUri: "/2015-01-01/tags/"
    },
    input: {
        shape: ListTagsInput_1.ListTagsInput
    },
    output: {
        shape: ListTagsOutput_1.ListTagsOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=ListTags.js.map