"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListElasticsearchInstanceTypesInput = {
    type: "structure",
    required: ["ElasticsearchVersion"],
    members: {
        ElasticsearchVersion: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "ElasticsearchVersion"
        },
        DomainName: {
            shape: {
                type: "string",
                min: 3
            },
            location: "querystring",
            locationName: "domainName"
        },
        MaxResults: {
            shape: {
                type: "integer"
            },
            location: "querystring",
            locationName: "maxResults"
        },
        NextToken: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "nextToken"
        }
    }
};
//# sourceMappingURL=ListElasticsearchInstanceTypesInput.js.map