"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpgradeElasticsearchDomainInput = {
    type: "structure",
    required: ["DomainName", "TargetVersion"],
    members: {
        DomainName: {
            shape: {
                type: "string",
                min: 3
            }
        },
        TargetVersion: {
            shape: {
                type: "string"
            }
        },
        PerformCheckOnly: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=UpgradeElasticsearchDomainInput.js.map