"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ZoneAwarenessConfig_1 = require("./_ZoneAwarenessConfig");
exports._ElasticsearchClusterConfig = {
    type: "structure",
    required: [],
    members: {
        InstanceType: {
            shape: {
                type: "string"
            }
        },
        InstanceCount: {
            shape: {
                type: "integer"
            }
        },
        DedicatedMasterEnabled: {
            shape: {
                type: "boolean"
            }
        },
        ZoneAwarenessEnabled: {
            shape: {
                type: "boolean"
            }
        },
        ZoneAwarenessConfig: {
            shape: _ZoneAwarenessConfig_1._ZoneAwarenessConfig
        },
        DedicatedMasterType: {
            shape: {
                type: "string"
            }
        },
        DedicatedMasterCount: {
            shape: {
                type: "integer"
            }
        }
    }
};
//# sourceMappingURL=_ElasticsearchClusterConfig.js.map