/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListTagsInput } from "../types/ListTagsInput";
import { ListTagsOutput } from "../types/ListTagsOutput";
import { ElasticsearchServiceResolvedConfiguration } from "../ElasticsearchServiceConfiguration";
export * from "../types/ListTagsInput";
export * from "../types/ListTagsOutput";
export * from "../types/ListTagsExceptionsUnion";
export declare class ListTagsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListTagsInput, OutputTypesUnion, ListTagsOutput, ElasticsearchServiceResolvedConfiguration, _stream.Readable> {
    readonly input: ListTagsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListTagsInput, ListTagsOutput, _stream.Readable>;
    constructor(input: ListTagsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticsearchServiceResolvedConfiguration): __aws_sdk_types.Handler<ListTagsInput, ListTagsOutput>;
}
