"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _RecurringChargeList_1 = require("./_RecurringChargeList");
exports._ReservedElasticsearchInstanceOffering = {
    type: "structure",
    required: [],
    members: {
        ReservedElasticsearchInstanceOfferingId: {
            shape: {
                type: "string"
            }
        },
        ElasticsearchInstanceType: {
            shape: {
                type: "string"
            }
        },
        Duration: {
            shape: {
                type: "integer"
            }
        },
        FixedPrice: {
            shape: {
                type: "float"
            }
        },
        UsagePrice: {
            shape: {
                type: "float"
            }
        },
        CurrencyCode: {
            shape: {
                type: "string"
            }
        },
        PaymentOption: {
            shape: {
                type: "string"
            }
        },
        RecurringCharges: {
            shape: _RecurringChargeList_1._RecurringChargeList
        }
    }
};
//# sourceMappingURL=_ReservedElasticsearchInstanceOffering.js.map